#!/bin/sh
# $Id: git-directories-create-moved.sh 163 2008-08-12 14:31:30Z stsp $

. ./git-init.sh

# Create a directory in repos
mkdir $repos/eta
echo "theta" > $repos/eta/theta
(cd $repos && git add eta)
(cd $repos && git commit -m "added eta")

# Move a different directory in repos2 to the same path
(cd $repos2 && git mv gamma eta)
# We have to commit here, else git will resurrect gamma during the merge
(cd $repos2 && git commit -m "renamed gamma to eta")

# Pull the add into repos2 and merge
(cd $repos2 && git pull)
