#!/bin/sh
# $Id: git-directories-destroy-modified.sh 164 2008-08-12 14:38:20Z stsp $

. ./git-init.sh

# Destroy a directory in repos
(cd $repos && git rm -r gamma)
(cd $repos && git commit -m "destroyed gamma")

# Modify the same directory in repos2, by adding a file to it
echo "iota" > $repos2/gamma/iota
# Make the modification visible in the index
(cd $repos2 && git add gamma/iota)
# Committing here does not affect the merge result.

# Pull the destruction of alpha into repos2 and merge
(cd $repos2 && git pull)
