#!/bin/sh
# $Id$

. ./git-init.sh

# Create a directory in repos
mkdir $repos/eta
echo "theta" > $repos/eta/theta
(cd $repos && git add eta)
(cd $repos && git commit -a -m "added eta")

# Move the new directory.
(cd $repos && git mv eta eta.moved)
(cd $repos && git commit -a -m "moved eta")

# Cherry-pick just the move into repos2
(cd $repos2 && git fetch)
rev=`(cd $repos2 && git log -1 --pretty=oneline origin | cut -d ' ' -f 1)`
(cd $repos2 && git cherry-pick $rev)
