#!/bin/sh
# $Id: git-files-copy2-moved.sh 154 2008-08-11 16:33:31Z stsp $

. ./git-init.sh

# Copy a file in repos.
cp $repos/alpha $repos/alpha.copied
(cd $repos && git add alpha.copied)
(cd $repos && git commit -a -m "copied alpha")

# Move a file to the copy target path in repos2
(cd $repos2 && git mv beta alpha.copied)
# We need to commit here, else git won't merge
(cd $repos2 && git commit -a -m "created alpha.copied")

# Pull the copy into repos2 and merge
(cd $repos2 && git pull)
