#!/bin/sh
# $Id: git-files-modify-destroyed.sh 152 2008-08-11 15:55:36Z stsp $

. ./git-init.sh

# Modify a file in repos
echo "alpha, modified" > $repos/alpha
(cd $repos && git add alpha)
(cd $repos && git commit -a -m "changed alpha")

# Destroy the same file in repos2
(cd $repos2 && git rm alpha)
# We need to commit here, else git won't detect a conflict.
(cd $repos2 && git commit -a -m "remove alpha")

# Pull the modified file into repos2 and merge
(cd $repos2 && git pull)
