#!/bin/sh
# $Id: hg-init.sh 100 2008-07-23 14:13:57Z stsp $

set -e

basename=`basename $0`
scratch_area="`echo $basename | sed -e s/\.sh$//`"
repos=$scratch_area/repos
repos2=$scratch_area/repos2

rm -rf $scratch_area

/bin/sh ../projtree.sh $repos

hg init $repos
(cd $repos && hg commit -A -m "importing project tree")
hg clone $repos $repos2
(cd $repos2 && hg update)
