#!/bin/sh
# $Id: projtree.sh 79 2008-06-16 15:21:49Z stsp $

if [ $# != 1 ]; then
	echo -n "Creates a new directory and populates it with "
	echo "a pseudo project tree."
	echo "Usage: `basename $0` <directory>"
	exit 1
fi

if [ -e $1 ]; then
	echo "ERROR: $1 already exists!" 1>&2
	exit 1
fi

set -e

mkdir -p $1
echo alpha > $1/alpha
echo beta > $1/beta
mkdir $1/gamma
echo delta > $1/gamma/delta
mkdir $1/epsilon
echo zeta > $1/epsilon/zeta
