#!/bin/sh
# $Id: svn-init.sh 186 2008-08-14 21:17:08Z stsp $

set -e

cwd=`pwd`
basename=`basename $0`
scratch_area="`echo $basename | sed -e s/\.sh$//`"
repos=$scratch_area/repos
trunk_url=file:///$cwd/$repos/trunk
branch_url=file:///$cwd/$repos/branch
trunk=$scratch_area/trunk
branch=$scratch_area/branch

rm -rf $scratch_area
mkdir -p $scratch_area

/bin/sh ../projtree.sh $trunk
svnadmin create $cwd/$repos
svn import $trunk $trunk_url -m "importing project tree"
svn copy $trunk_url $branch_url -m "creating branch"
rm -rf $trunk
svn checkout $trunk_url $trunk
svn checkout $branch_url $branch
