#!/bin/sh
# $Id: git-directories-copy2-created.sh 171 2008-08-14 11:51:03Z stsp $

. ./git-init.sh

# Copy a directory in repos.
cp -r $repos/gamma $repos/gamma.copied
(cd $repos && git add gamma.copied)
(cd $repos && git commit -a -m "copied gamma")

# Create a directory at the copy target path in repos2
mkdir $repos2/gamma.copied
echo "theta" > $repos2/gamma.copied/theta
(cd $repos2 && git add gamma.copied)
# Committing here does not affect the merge result.

# Pull the copy into repos2 and merge
(cd $repos2 && git pull)
