#!/bin/sh
# $Id: git-directories-destroy-moved.sh 165 2008-08-12 16:26:16Z stsp $

. ./git-init.sh

# Destroy a directory in repos
(cd $repos && git rm -r gamma)
(cd $repos && git commit -m "destroyed gamma")

# Rename the same directory in repos2
(cd $repos2 && git mv gamma gamma.moved)
# We need to commit here, else git does not detect the conflict.
(cd $repos2 && git commit -m "renamed gamma")

# Pull the destruction of alpha into repos2 and merge
(cd $repos2 && git pull)
