#!/bin/sh
# $Id: hg-directories-copy2-moved.sh 142 2008-08-10 19:41:51Z stsp $

. ./hg-init.sh

# Copy a directory in repos
hg copy $repos/gamma $repos/gamma.copied
hg commit -m "copied gamma" $repos

# Move a different directory in repos2 to the copy target path
hg rename $repos2/epsilon $repos2/gamma.copied

# Pull the modification into repos2 and update
(cd $repos2 && hg pull; hg update)
